/*
  Blank Simple Project.c
  http://learn.parallax.com/propeller-c-tutorials 
*/
#include "simpletools.h" 
#include "propeller.h"                     // Include simple tools
#include "fdserial.h"

void getData(void *);

#define SRx 0
#define STx 1

fdserial *fd;


int main()                                    // Main function
{           
                                 //add startup code here
  clkset(0x6b,5000000);
  
  int mask = 0xff0000;
  
  int freq = CLKFREQ>>1;
  
  DIRA = mask;
  
  int button1 = input(3);
  int button2 = input(4);
  int button3 = input(5);
  int button4 = input(6);
  
  pause(250);
  
  pwm_start(600);
  
  cognew(&getData,40);
  

 
  while(1)
  {
    // Add main loop code here.
    int button1 = input(3);
    if(button1 ==1)
     {
       pwm_set(17,0,500);
       high(18);
     }
     else
     {
       pwm_set(17,0,50);
       low(18);
     }
     
    int button2 = input(4);
    if(button2 ==1)
     { 
       pwm_set(19,0,500);
       high(20);
     }
     else
     {
       pwm_set(19,0,0);
       low(20);
     }
     
    int button3 = input(5);
    if(button3 == 1)
      {
        pwm_set(19,0,500);
        low(20);
      }
      else
      {
        pwm_set(19,0,0);
        low(20);
      }
      
     int  button4 = input(6);
     if(button4 == 1)
      {
        pwm_set(17,0,500);
        low(18);
      }
      else
      {
        pwm_set(17,0,50);
        low(18);
      }                                                           
    
  }
 void getData(void *par)
  {
  char data;
    
  fd = fdserial_open( SRx, STx, 0, 115200);
  while(1)
  {
    data = fdserial_rxChar(fd);
    switch(data)
     {
       case 'W':
        pwm_set(17,0,500);
        high(18);
       break;
       case 'N':
        pwm_set(19,0,500);
        high(20);
       break;
       case 'E':
        pwm_set(17,0,500);
        low(18);
       break;
       case 'S':
       pwm_set(19,0,500);
       low(20);
      break;
      default:
       pwm_set(17,0,0); 
       pwm_set(19,0,0);
       low(18);
       low(20);
      break;
    }      
   }
 }
 }  
